Bug 823158 - mousetweaks doesn't work with hid-multitouch touch screen
mousetweaks doesn't work with hid-multitouch touch screen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mousetweaks (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-19 11:09 EDT by James
Modified: 2013-07-31 23:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:57:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log from present session (28.62 KB, application/octet-stream)
2012-05-19 11:09 EDT, James
no flags Details

  None (edit)
Description James 2012-05-19 11:09:52 EDT
Created attachment 585585 [details]
Xorg.0.log from present session

Description of problem:
In the past (Fedora 14), I could use moustweaks's "simulate secondary click" to get right-clicks by holding a tap on my tablet's touch-screen. With Fedora 17, this no longer works (presumably because of the XInput changes).

This tablet uses a touch-screen supported by the standard hid-multitouch driver, and otherwise works fine with GTK3 (e.g. kinetic drag-scrolling works).

I've attached a typical Xorg.0.log for this tablet. Let me know if some other captured output (e.g. from xinput test-xi2) would be helpful.

Version-Release number of selected component (if applicable):
mousetweaks-3.4.2-1.fc17.i686
kernel-3.3.6-3.fc17.i686
xorg-x11-drv-evdev-2.7.0-2.fc17.i686
Comment 1 Mads Kiilerich 2012-11-23 12:45:11 EST
I see the same with Samsung 700T in f18.

"Simulated Secondary Click" works when clicking with a mouse but not when touching.

(It might be related to how double clicking requires 4 "clicks".)
Comment 2 Fedora End Of Life 2013-07-03 20:20:58 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Konstantinos Togias 2013-07-25 04:20:48 EDT
The bug still exists in fedora 19.
Comment 4 Fedora End Of Life 2013-07-31 23:57:06 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.